com.google.cloud.dataflow.sdk.values

## Enum PCollection.IsBounded

- java.lang.Object
- - java.lang.Enum<PCollection.IsBounded>
  - - com.google.cloud.dataflow.sdk.values.PCollection.IsBounded

All Implemented Interfaces:
  Serializable, Comparable<PCollection.IsBounded>

Enclosing class:
  PCollection<T>

    public static enum PCollection.IsBounded
    extends Enum<PCollection.IsBounded>

The enumeration of cases for whether a `PCollection` is bounded.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOUNDED` Indicates that a `PCollection` contains bounded data elements, such as `PCollections` from `TextIO`, `BigQueryIO`, `Create` e.t.c.
`UNBOUNDED` Indicates that a `PCollection` contains unbounded data elements, such as `PCollections` from `PubsubIO`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PCollection.IsBounded` `and(PCollection.IsBounded that)` Returns the composed IsBounded property.
`static PCollection.IsBounded` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PCollection.IsBounded[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOUNDED

    public static final PCollection.IsBounded BOUNDED

Indicates that a `PCollection` contains bounded data elements, such as `PCollections` from `TextIO`, `BigQueryIO`, `Create` e.t.c.

#### UNBOUNDED

    public static final PCollection.IsBounded UNBOUNDED

Indicates that a `PCollection` contains unbounded data elements, such as `PCollections` from `PubsubIO`.

### Method Detail

#### values

    public static PCollection.IsBounded[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PCollection.IsBounded c : PCollection.IsBounded.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PCollection.IsBounded valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### and

    public PCollection.IsBounded and(PCollection.IsBounded that)

Returns the composed IsBounded property.

The composed property is `BOUNDED` only if all components are `BOUNDED`. Otherwise, it is `UNBOUNDED`.